*, *::before, *::after {
    box-sizing: border-box;
    font-family: 'Times New Roman', Times, serif;
}

:root {
    --primary-light-hsl: 200, 100%, 91%;
    --primary-hsl: 200, 100%, 50%;
    --primary-dark-hsl: 200, 100%, 6%;
    --success-hsl: 100, 60%, 50%;
    --error-hsl: 0, 60%, 50%;
}

body {
    margin: 0;
}
.full-screen-container {
    background-image: url('background.jpg');
    background-size: cover;
    background-position: center;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-container {
    --color: hsl(var(--primary-dark-hsl), .7);
    background-color: var(--color);
    box-shadow: 0 0 15px 0 var(--color);
    padding: 40px 30px;
    width: 80%;
    max-width: 600px;
    border-radius: 25px;
}

.login-title {
    margin: 0;
    text-align: center;
    font-size: 2rem;
    font-weight: normal;
    color: white;
}

.form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    color: white;
    margin-top: 40px;
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.input-group label {
    color: white;
    font-weight: lighter;
}

.input-group input {
    font-size: 1.25rem;
    padding: .5em;
    background-color: hsl(var(--primary-light-hsl), .3);
    border: none;
    outline: none;
    border-radius: 0.25em;
    font-weight: lighter;
    color: white;
}

.input-group input:focus {
    box-shadow: 0 0 0 2px hsl(var(--primary-hsl));
}

.input-group.success input {
    box-shadow: 0 0 0 2px hsl(var(--success-hsl));
}

.input-group.error input {
    box-shadow: 0 0 0 2px hsl(var(--error-hsl));
}

.input-group .msg {
    display: none;
}

.input-group.success .msg {
    color: hsl(var(--success-hsl));
}

.input-group.error .msg {
    color: hsl(var(--error-hsl));
}

.login-button {
    padding: .5em 1em;
    font-size: 1.5rem;
    font-weight: lighter;
    color: white;
    background-color: hsl(var(--primary-hsl), .25);
    border: 1px solid hsl(var(--primary-hsl));
    border-radius: .25em;
    outline: none;
    cursor: pointer;
}

.login-button:hover,
.login-button:focus {
    background-color: hsl(var(--primary-hsl), .4);
}
